Bug 128934 - RTL OptionMenu Bug
RTL OptionMenu Bug
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-01 02:06 EDT by Basem Narmok
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 04:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Basem Narmok 2004-08-01 02:06:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040620

Description of problem:
There is a Bug in drawing the OptionMenu for RTL languages, and you
can see this bug while installing Fedora Core with RTL language see
the OptionMenu, you will see a line in the right side over the text
where this line must be on the left side (for example the filesystem
type OptionMenu! in RTL installation)
<Basem Narmok>

Version-Release number of selected component (if applicable):
gtk2-2.4.1

How reproducible:
Always

Steps to Reproduce:
1. Run this ...

#!/usr/bin/env python
import pygtk
pygtk.require("2.0")
import gtk

def create_menu(depth, length=5):
    if depth < 1:
        return None
    menu = gtk.Menu()
    group= None
    for i in range(length):
        menuitem = gtk.RadioMenuItem(group, 'item %2d - %d' % (depth, i))
        group = menuitem
        menu.add(menuitem)
        menuitem.show()
        if depth > 1:
            submenu = create_menu(depth - 1)
            menuitem.set_submenu(submenu)
    return menu

def main():
    gtk.widget_set_default_direction(gtk.TEXT_DIR_RTL)
    window = gtk.Window()
    window.connect('destroy', lambda win: gtk.main_quit())
    window.set_title('RTL OptionMenu Bug')

    vbox = gtk.VBox()
    window.add(vbox)

    vbox2 = gtk.VBox(spacing=10)
    vbox2.set_border_width(10)
    vbox.pack_start(vbox2)

    optionmenu = gtk.OptionMenu()
    optionmenu.set_menu(create_menu(1))
    vbox2.pack_start(optionmenu)

    window.show_all()
    gtk.main()

if __name__ == '__main__':
    main()



    

Actual Results:  A line remains to the left ...

Expected Results:  Where it should go to the right!

Additional info:
Comment 1 Basem Narmok 2004-08-02 12:27:38 EDT
Running the same test code on another Distro. works fine, so I think
as Jeremy said it is a redhat-artwork package issue ...

Thank you
Basem Narmok
Comment 2 Alexander Larsson 2004-10-06 04:59:43 EDT
Should be fixed in recent rawhide versions.

Note You need to log in before you can comment on or make changes to this bug.